import click


@click.group()
def entery():
    pass


@click.command()
@click.option('--name', default='amp_ex', prompt=True, help='project name')
def generate(name):
    """generate archicad mini program template project"""
    click.echo(name)
    pass


@click.command()
def publish():
    """publish archicad mini program to xbimer market"""
    pass


@click.command()
@click.option('--name', default='amp_lib', help='project name')
def library(name):
    """generate library template project that c++ to python"""
    click.echo(name)
    pass


entery.add_command(generate)
entery.add_command(publish)
entery.add_command(library)

if __name__ == "__main__":
    entery()
