import setuptools

VERSION = '0.0.1'

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(name='ampm-cli',
                 version=VERSION,
                 description='archicad mini program command line interface',
                 long_description=long_description,
                 keywords='Archicad;Archicad mini program',
                 author='beanjs',
                 author_email='502554248@qq.com',
                 url='https://github.com/xbimer-ampm/ampm-cli.git',
                 license='MIT',
                 packages=['cli'],
                 include_package_data=True,
                 zip_safe=True,
                 install_requires=[
                     'click',
                     'autopep8',
                     'pycodestyle',
                     'toml'
                 ],
                 entry_points={
                     'console_scripts': [
                         'ampm = cli.main:entery'
                     ]
                 })
